Ipelib

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# IpeAutoPtr< T > Class Template Reference

`#include <ipebase.h>`

List of all members.

## Public Member Functions

- IpeAutoPtr (T *ptr)
- ~IpeAutoPtr ()
- T * operator-> ()
- T & operator* ()
- T * ptr ()
- T * take ()

### template<class T>
class IpeAutoPtr< T >

## Constructor & Destructor Documentation

template<class T >

IpeAutoPtr< T >::IpeAutoPtr | ( | T * | ptr | ) | `[inline]`

template<class T >

IpeAutoPtr< T >::~IpeAutoPtr | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T >

T* IpeAutoPtr< T >::operator-> | ( |  | ) | `[inline]`

template<class T >

T& IpeAutoPtr< T >::operator* | ( |  | ) | `[inline]`

template<class T >

T* IpeAutoPtr< T >::ptr | ( |  | ) | `[inline]`

template<class T >

T* IpeAutoPtr< T >::take | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ipebase.h